gi-xlib-2.0.9: xlib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Xlib.Structs.XImage

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype XImage = XImage (ManagedPtr XImage)

# Exported types

newtype XImage Source #

Memory-managed wrapper type.

Constructors

XImage (ManagedPtr XImage) |

#### Instances

Instances details

Eq XImage Source # |
Instance details Defined in GI.Xlib.Structs.XImage Methods (==) :: XImage -> XImage -> Bool # (/=) :: XImage -> XImage -> Bool #
ManagedPtrNewtype XImage Source # |
Instance details Defined in GI.Xlib.Structs.XImage Methods toManagedPtr :: XImage -> ManagedPtr XImage Source #
BoxedPtr XImage Source # |
Instance details Defined in GI.Xlib.Structs.XImage Methods boxedPtrCopy :: XImage -> IO XImage Source # boxedPtrFree :: XImage -> IO () Source #

# Methods

## Overloaded methods